Can a chain have nodes running different versions. Say a masternode set up by 2.0 alpha 7 connecting with a 1.0.6 node.

+2 votes
The reason for this question is that so far compiling from source for the latest alphas in multichain 2.0 runs into well-documented errors so I cannot run nodes on single board ARM devices (i.e raspberry pis')

Cheers,
asked Dec 2 by Srinjoy

1 Answer

0 votes
Yes, you can connect different version nodes together, so long as they both support the protocol versions which are being used on the blockchain. This means that if you want a 1.0.6 node to be able to connect, you cannot use any of the new 2.0 functionality.
answered Dec 3 by MultiChain
...